% Sub-Matlab program for :
% Gapen, Michael T. and Thomas F. Cosimano, 
% "Sovling Ramsey Problems with Nonlinear Projection Methods," 
% Studies in Nonlinear Dynamics and Econometrics, Vol. 9, Spring
% 2005.
%
% function mpol=mfun(thetaup,gup,psi)
%
% Purpose: create the bivariate Chebyshev Polynomial for money
%
% ============================================================

function mpol=mfun(thetaup,gup,psi);

global thetaord gord %thetamin thetamax gmin gmax;

%thetadown=scaldown(thetaup,thetamin,thetamax);
%gdown=scaldown(gup,gmin,gmax);

mcheb=mpoly([thetaord gord],[thetaup gup]);

mpol=mcheb*psi;